### Virtual Method

# Foundry DocumentationProvider list_children

#### Declaration [src]

    DexFuture*
    list_children (
      FoundryDocumentationProvider* self,
      FoundryDocumentation* parent
    )

#### Description

No description available.

#### Parameters

`parent`

  Type: `FoundryDocumentation`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve to a `GListModel` or reject with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.